package cn.com.poc.thirdparty.resource.demand.ai.plugin_business.convert;

import cn.com.poc.thirdparty.resource.demand.ai.plugin_business.model.BizPluginBusinessModel;
import cn.com.poc.thirdparty.resource.demand.ai.plugin_business.entity.BizPluginBusinessEntity;
import cn.com.poc.thirdparty.resource.demand.ai.plugin_business.dto.BizPluginBusinessDto;


public class BizPluginBusinessConvert {

    public static BizPluginBusinessEntity modelToEntity(BizPluginBusinessModel model) {
        BizPluginBusinessEntity entity = new BizPluginBusinessEntity();
        entity.setFormId(model.getFormId());
        entity.setFormNo(model.getFormNo());
        entity.setFormData(model.getFormData());
        entity.setFormType(model.getFormType());
        entity.setIsDeleted(model.getIsDeleted());
        entity.setCreator(model.getCreator());
        entity.setCreatedTime(model.getCreatedTime());
        entity.setModifier(model.getModifier());
        entity.setModifiedTime(model.getModifiedTime());
        entity.setSysVersion(model.getSysVersion());
        return entity;
    }

    public static BizPluginBusinessModel entityToModel(BizPluginBusinessEntity entity) {
        BizPluginBusinessModel model = new BizPluginBusinessModel();
        model.setFormId(entity.getFormId());
        model.setFormNo(entity.getFormNo());
        model.setFormData(entity.getFormData());
        model.setFormType(entity.getFormType());
        model.setIsDeleted(entity.getIsDeleted());
        model.setCreator(entity.getCreator());
        model.setCreatedTime(entity.getCreatedTime());
        model.setModifier(entity.getModifier());
        model.setModifiedTime(entity.getModifiedTime());
        model.setSysVersion(entity.getSysVersion());
        return model;
    }

    public static BizPluginBusinessDto entityToDto(BizPluginBusinessEntity entity) {
        BizPluginBusinessDto dto = new BizPluginBusinessDto();
        dto.setFormId(entity.getFormId());
        dto.setFormNo(entity.getFormNo());
        dto.setFormData(entity.getFormData());
        dto.setFormType(entity.getFormType());
        dto.setIsDeleted(entity.getIsDeleted());
        dto.setCreator(entity.getCreator());
        dto.setCreatedTime(entity.getCreatedTime());
        dto.setModifier(entity.getModifier());
        dto.setModifiedTime(entity.getModifiedTime());
        dto.setSysVersion(entity.getSysVersion());
        return dto;
    }

    public static BizPluginBusinessEntity dtoToEntity(BizPluginBusinessDto dto) {
        BizPluginBusinessEntity entity = new BizPluginBusinessEntity();
        entity.setFormId(dto.getFormId());
        entity.setFormNo(dto.getFormNo());
        entity.setFormData(dto.getFormData());
        entity.setFormType(dto.getFormType());
        entity.setIsDeleted(dto.getIsDeleted());
        entity.setCreator(dto.getCreator());
        entity.setCreatedTime(dto.getCreatedTime());
        entity.setModifier(dto.getModifier());
        entity.setModifiedTime(dto.getModifiedTime());
        entity.setSysVersion(dto.getSysVersion());
        return entity;
    }
}